@import url('https://fonts.googleapis.com/css2?family=Public+Sans:wght@300&display=swap');


/*Universal Selector*/
*	{
	font-family: 'Public Sans', sans-serif;
	font-size: 15px;
}

/*ID Selector*/
#external 	{
	color: yellow;
}

/*Type Selector*/
h1 {
	font-size: 50px;
}

/*ID Selector*/
#thingsToLearn 	{
	text-transform: uppercase;
}

/*Class Selector*/
.color 	{
	background-color: limegreen;
}

/*Attribute Selector*/
[number=""]	{
	border-style: ridge;
}

/*Adjacent Sibling Selector*/
h2 + img + ul {
	list-style: none;
}

/*Child Selector*/
div > ul {
	letter-spacing: 5px;
}

/*Descendant Selector*/
main div img {
	width: 100px;
	height: 100px;
	border-radius: 50%;
}

/*Generic Sibling Selector*/
main ~ footer {
	text-align: center;
}